---
lang: en
title: 'API docs: rest.urlencodedbodyparser'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.urlencodedbodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [UrlEncodedBodyParser](./rest.urlencodedbodyparser.md)

## UrlEncodedBodyParser class

<b>Signature:</b>

```typescript
export declare class UrlEncodedBodyParser implements BodyParser 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./rest.urlencodedbodyparser._constructor_.md) |  | Constructs a new instance of the <code>UrlEncodedBodyParser</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./rest.urlencodedbodyparser.name.md) |  | <code>symbol</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [parse(request)](./rest.urlencodedbodyparser.parse.md) |  |  |
|  [supports(mediaType)](./rest.urlencodedbodyparser.supports.md) |  |  |


